> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/kzp_mit_parameter_starten/kzp_zus-service.md).

# Additional ACRON Service command line parameters

In addition to the default parameters, you can also use the following parameters to start ACRON Service in some function areas:

|     |                                                         |                                                                                           |
| --- | ------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
|     | -n                                                      | Multiple start A new instance of ACRON Service is started, even if it is already running. |
| -mB | -sID                                                    | Start with 'Edit' function area                                                           |
| -mD | -sID                                                    | Start with 'Documents' function area                                                      |
| -mZ | -sID                                                    | Start with 'Status reports' function area                                                 |
|     | *ID is an entity or action identification (short name)* |                                                                                           |

Note

The parameters -pPlant ID and -uLogin Name are additionally required.

In addition to the default command line parameters, you can also use the following parameters:

|      |                                                                                                          |
| ---- | -------------------------------------------------------------------------------------------------------- |
| >-s  | Entity/Action                                                                                            |
| >-u  | Login name                                                                                               |
| >-v  | Date                                                                                                     |
| >-g  | Comment Comments with blank spaces in them are transmitted in quotation marks as follows: -g"My Comment" |
| >-d- | Confirmation and error dialogs are prevented                                                             |

<details>

<summary></summary>

Enter performed cyclic action:

`acserv.exe -pDEMOSTD` -sEntity/Cyclic action -uLogin name -vDate -gComment

A cyclic action with the above data is entered. ACRON notifies you whether the cyclic action was completed successfully.

Note

In place of -sEntity/Cyclicaction you can also use -sCyclicaction if the name of the cyclic action is unique.

</details>

**Import multiple cyclic actions by one import file**

In addition to the default command line parameters, you must also use the following parameters:

|    |                                   |
| -- | --------------------------------- |
| -f | Path with name of the import file |
| -u | Login name                        |

<details>

<summary></summary>

Enter multiple cyclic actions by file:

`acserv.exe -pDEMOSTD -fc:\temp\import.csv`

`acserv.exe -pDEMOSTD -f"c:\temp folder with space\import.csv"`

All cyclic actions included and correctly configured in "import.csv" are imported into the database.

Any errors are documented in a file named "import.cs\_" in the same path.

</details>

Note

Take great care to use the correct case during parameter input, as entries are case-sensitive.

The user identified by -uLogin Name must have the '[External call of all applications with login name transfer](/acron-9.3/en/anlagenkonfiguration/benutzerverwaltung/benutzergruppe/zugriffsrechte_allgemein.md#externer_aufruf)' privilege. If blank spaces are included, <[login name](/acron-9.3/en/anlagenkonfiguration/benutzerverwaltung/benutzer.md)> should be enclosed in " ".

## Examples of ACRON Service command line parameters

`acserv.exe -pDemo`

ACRON Service is opened with the data of plant `Demo`.

`acserv.exe -x200 -y100 -w300 -h200`

The ACRON Service main window appears at position `200, 100` with the window dimensions `300 x 200`.

`acserv.exe -uMeier -pDemo`

ACRON Service is started with the settings and rights of the user `Meier` for the plant `Demo` (with no login dialog).

Note

If blank spaces are included, <[login name](/acron-9.3/en/anlagenkonfiguration/benutzerverwaltung/benutzer.md)> should be enclosed in " ".

`acserv.exe -q`

A running ACRON Service is shut down.

Note

Take great care to use the correct case during parameter input, as entries are case-sensitive.

## Example of an import file for ACRON Service

`:SERVICE_IMPORT`

`>ServiceID;Date;Action;User;Cost;Duration;Remark1;Remark2;Remark3`

`MyServ;01.01.2012;Service; Willi Wucher;230.54;2:30;Das;war;Willi Wucher!`

The import can be tested as follows with this example:

* Copy table,
* Paste into an editor,
* Replace "ServiceID" with the identifier of the cyclic action.
* Adapt the date format as necessary.
* Save with the file extension \*.CSV.

0 corresponds to the action to be performed: Cyclic action

1 stands for the activation

{% hint style="info" %}
Attention

When importing these test data, the existing values are altered or overwritten.
{% endhint %}

The file may contain any number of comment lines and empty lines. Comment lines must start with "#".

It is possible to leave the optional fields Cost, Duration of cyclic action and Comments 1-3 blank. If you want to leave all the optional fields empty, you can also omit them altogether.

If you save the file in CSV format and edit it with MS-Excel, enter the following user-defined time format for time stamp and editing time: DD.MM.YYYY hh:mm:ss.

{% hint style="info" %}
Attention

Where import paths are not editable, the file must be placed in the predetermined directory.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/kzp_mit_parameter_starten/kzp_zus-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
